Index: trunk/sources/HeuristicLab.Optimization/3.3/Algorithm.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization/3.3/Algorithm.cs	(revision 3614)
+++ trunk/sources/HeuristicLab.Optimization/3.3/Algorithm.cs	(revision 3616)
@@ -255,5 +255,4 @@
       problem.SolutionCreatorChanged -= new EventHandler(Problem_SolutionCreatorChanged);
       problem.EvaluatorChanged -= new EventHandler(Problem_EvaluatorChanged);
-      problem.VisualizerChanged -= new EventHandler(Problem_VisualizerChanged);
       problem.OperatorsChanged -= new EventHandler(Problem_OperatorsChanged);
     }
@@ -261,5 +260,4 @@
       problem.SolutionCreatorChanged += new EventHandler(Problem_SolutionCreatorChanged);
       problem.EvaluatorChanged += new EventHandler(Problem_EvaluatorChanged);
-      problem.VisualizerChanged += new EventHandler(Problem_VisualizerChanged);
       problem.OperatorsChanged += new EventHandler(Problem_OperatorsChanged);
     }
@@ -267,5 +265,4 @@
     protected virtual void Problem_SolutionCreatorChanged(object sender, EventArgs e) { }
     protected virtual void Problem_EvaluatorChanged(object sender, EventArgs e) { }
-    protected virtual void Problem_VisualizerChanged(object sender, EventArgs e) { }
     protected virtual void Problem_OperatorsChanged(object sender, EventArgs e) { }
     #endregion
Index: trunk/sources/HeuristicLab.Optimization/3.3/HeuristicLab.Optimization-3.3.csproj
===================================================================
--- trunk/sources/HeuristicLab.Optimization/3.3/HeuristicLab.Optimization-3.3.csproj	(revision 3614)
+++ trunk/sources/HeuristicLab.Optimization/3.3/HeuristicLab.Optimization-3.3.csproj	(revision 3616)
@@ -87,4 +87,5 @@
     <Compile Include="Algorithm.cs" />
     <Compile Include="BatchRun.cs" />
+    <Compile Include="Interfaces\IAnalyzer.cs" />
     <Compile Include="RunCollectionComparisonConstraint.cs" />
     <Compile Include="RunCollectionConstraintCollection.cs" />
@@ -107,8 +108,5 @@
     <Compile Include="RunCollection.cs" />
     <Compile Include="Run.cs" />
-    <Compile Include="Interfaces\IMultiObjectiveSolutionsVisualizer.cs" />
     <Compile Include="Interfaces\IResult.cs" />
-    <Compile Include="Interfaces\ISingleObjectiveSolutionsVisualizer.cs" />
-    <Compile Include="Interfaces\ISolutionsVisualizer.cs" />
     <Compile Include="Interfaces\IDiscreteDoubleValueModifier.cs" />
     <Compile Include="Interfaces\IExhaustiveMoveGenerator.cs" />
Index: trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IAnalyzer.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IAnalyzer.cs	(revision 3616)
+++ trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IAnalyzer.cs	(revision 3616)
@@ -0,0 +1,29 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.Core;
+
+namespace HeuristicLab.Optimization {
+  /// <summary>
+  /// An interface which represents an analysis operator.
+  /// </summary>
+  public interface IAnalyzer : IOperator { }
+}
Index: trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IMultiObjectiveSolutionsVisualizer.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IMultiObjectiveSolutionsVisualizer.cs	(revision 3614)
+++ 	(revision )
@@ -1,33 +1,0 @@
-#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using HeuristicLab.Common;
-using HeuristicLab.Core;
-using HeuristicLab.Data;
-
-namespace HeuristicLab.Optimization {
-  /// <summary>
-  /// An interface which represents an operator for visualizing solutions of multi-objective optimization problems.
-  /// </summary>
-  public interface IMultiObjectiveSolutionsVisualizer : ISolutionsVisualizer {
-    ILookupParameter<ItemArray<DoubleArray>> QualitiesParameter { get; }
-  }
-}
Index: trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IProblem.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IProblem.cs	(revision 3614)
+++ trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IProblem.cs	(revision 3616)
@@ -34,11 +34,8 @@
     IParameter EvaluatorParameter { get; }
     IEvaluator Evaluator { get; }
-    IParameter VisualizerParameter { get; }
-    ISolutionsVisualizer Visualizer { get; }
     IEnumerable<IOperator> Operators { get; }
 
     event EventHandler SolutionCreatorChanged;
     event EventHandler EvaluatorChanged;
-    event EventHandler VisualizerChanged;
     event EventHandler OperatorsChanged;
   }
Index: trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveSolutionsVisualizer.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveSolutionsVisualizer.cs	(revision 3614)
+++ 	(revision )
@@ -1,33 +1,0 @@
-#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using HeuristicLab.Common;
-using HeuristicLab.Core;
-using HeuristicLab.Data;
-
-namespace HeuristicLab.Optimization {
-  /// <summary>
-  /// An interface which represents an operator for visualizing solutions of single-objective optimization problems.
-  /// </summary>
-  public interface ISingleObjectiveSolutionsVisualizer : ISolutionsVisualizer {
-    ILookupParameter<ItemArray<DoubleValue>> QualityParameter { get; }
-  }
-}
Index: trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISolutionsVisualizer.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISolutionsVisualizer.cs	(revision 3614)
+++ 	(revision )
@@ -1,32 +1,0 @@
-#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using HeuristicLab.Common;
-using HeuristicLab.Core;
-
-namespace HeuristicLab.Optimization {
-  /// <summary>
-  /// An interface which represents an operator for visualizing solutions.
-  /// </summary>
-  public interface ISolutionsVisualizer : IOperator {
-    ILookupParameter VisualizationParameter { get; }
-  }
-}
